Hi,
this is also a part of log concerning WebSphere :

WebSphere Platform 6.1 [ND 6.1.0.23 cf230910.10]  running with process name twas11Cell01\twas11Node01\server3 and process id 5944
Detailed IFix information: No IFixes applied to this build
Host Operating System is Windows Server 2008, version 6.0 build 6002 Service Pack 2
Java version = 1.5.0, Java Compiler = j9jit23, Java VM name = IBM J9 VM
was.install.root = C:/IBM/WebSphere/AppServer
user.install.root = C:\IBM\WebSphere\AppServer\profiles\AppSrv01
Java Home = C:\IBM\WebSphere\AppServer\java\jre

As you can see it states that the Java version is 1.5.0.

Ill try to search in WebSphere docs if there is an option to explicitly use java version.

kind regards,
Ivan
 

On 1.3.2010 11:27, Bob Schellink wrote:
Hi Ivan,

On 1/03/2010 09:00 PM, Ivan Furdi wrote:

LinkageError while defining class: org.apache.click.util.ClickUtils
java.lang.UnsupportedClassVersionError:
(org/apache/click/util/ClickUtils) bad major version at offset=6
     at java.lang.ClassLoader.defineClassImpl(Native Method)


I'm pretty sure this exception occurs because WAS 6.1 is running under Java 1.4, while Click is compiled with 1.5.

Can you confirm?

kind regards

bob
No virus found in this incoming message. Checked by AVG - www.avg.com Version: 9.0.733 / Virus Database: 271.1.1/2715 - Release Date: 02/28/10 20:34:00


--
Srdačan pozdrav,

Ivan Furdi